#pragma once

#include "features/aimbot/AimbotSettings.h"

namespace ta::features::aimbot
{
    class IAimbotSettings
    {
    public:
        virtual ~IAimbotSettings() = default;
        [[nodiscard]] virtual AimbotSettings read() const = 0;
        virtual void set_magic_bullet(bool enabled) = 0;
    };
}
